Subject: [os2genau_digest] No. 1263
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 22 Feb 2006 00:04:48 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 21 February 2006
 Number  1263
**************************************************

Subjects for today
 
1   * Monthly Melbourne OS/2 SIG Meeting * : List Admin" <list at os2 dot org dot au>
2   USB Flash Memory : Alan Duval <amoht at tpg dot com dot au>
3  Re:  USB Flash Memory : Ed Durrant <edurrant at bigpond dot net dot au>
4  Re:  USB Flash Memory : Ed Durrant <edurrant at bigpond dot net dot au>
5  Re:  USB Flash Memory : Kev <kdownes at tpg dot com dot au>
6  Re:  USB Flash Memory : David Shearer" <dsh43871 at bigpond dot net dot au>
7  Re:  USB Flash Memory : Peter Moylan <peter at ozebelg dot org>

**= Email   1 ==========================**

Date:  Tue, 21 February 2006 14:00:00 +1100 (EADT)
From:  "List Admin" <list at os2 dot org dot au>
Subject:   * Monthly Melbourne OS/2 SIG Meeting *

 We would like to remind you of this upcoming event.
 The Monthly meeting of 'Melbourne PC Users Group OS/2 SIG'
  
 Date:   Tuesday, 28th February 2006
 Time:  7:00PM - 9:30PM

 Melbourne PC Users Group premises are located at :-
 2nd floor, Chadstone Place (near Bi-Lo)
 Chadstone Shopping Centre [ Melway 96 E4 ].  
 Victoria, Australia.

 The entrance is on the Southern side of the Centre between 
 the National Bank and My Chemist.  And another entrance 
 for after hours access to the lift from inside the shopping centre
 opposite the Bi-Lo store.

 The Monthly Meeting of Melbourne OS/2 SIG is
 normally held the fourth Tuesday of each month.
 EXCEPT December.

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 21 Feb 2006 17:01:42 +1100
From:  Alan Duval <amoht at tpg dot com dot au>
Subject:   USB Flash Memory

Hi,

I'm thinking of buying USB Flash Memory.
Questions:

1.   Are there any brands that I should avoid?
2.   Will eCS 1.2 recognize it?
3.   Is formatting required?

Regards,

Alan duval
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Tue, 21 Feb 2006 17:43:34 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  USB Flash Memory

Alan Duval wrote:
> Hi,
> 
> I'm thinking of buying USB Flash Memory.
> Questions:
> 
> 1.   Are there any brands that I should avoid?
> 2.   Will eCS 1.2 recognize it?
> 3.   Is formatting required?
> 
> Regards,
> 
> Alan duval
 
> 
> 

> 
Hmm, if by "Flash memory" you mean a USB memory key (Flash memory is 
usually used to hold firmware code on various devices) - I have never 
had any issues as long as you have the latest USB drivers (basic and 
MSD) installed, however, to be sure to get a make/model that works check 
at http://www.os2warp.be

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Tue, 21 Feb 2006 17:44:36 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  USB Flash Memory

Alan Duval wrote:
> Hi,
> 
> I'm thinking of buying USB Flash Memory.
> Questions:
> 
> 1.   Are there any brands that I should avoid?
> 2.   Will eCS 1.2 recognize it?
> 3.   Is formatting required?
> 
> Regards,
> 
> Alan duval
 
> 
> 

> 
Hmm, if by "Flash memory" you mean a USB memory key (Flash memory is 
usually used to hold firmware code on various devices) - I have never 
had any issues as long as you have the latest USB drivers (basic and 
MSD) installed, however, to be sure to get a make/model that works check 
at http://www.os2warp.be

  As for formatting, yes it is needed - if you want to transfer between 
OS/2-eCS and "the darkside" FAT32 is probably the safest choice.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Tue, 21 Feb 2006 16:26:26 +0800
From:  Kev <kdownes at tpg dot com dot au>
Subject:  Re:  USB Flash Memory

G'day Alan

> Alan Duval wrote:
> 
>> Hi,
>>
>> I'm thinking of buying USB Flash Memory.
>> Questions:
>>
>> 1.   Are there any brands that I should avoid?

I've used PQI brand thumb drives for a year or so, now with no problems 
at all.  Recognized on Wintendo, Linux and eCS.

>> 2.   Will eCS 1.2 recognize it?

yes

>> 3.   Is formatting required?

Use FAT32 with the latest FAT32.IFS.  I'm 99.9% certain that they're 
formatted FAT32 out of the box - I've not needed to format one of this 
brand, and they've all worked for me.  I do, however, have the FAT32 
driver installed as a matter of course in my machines, hence a 
no-brainer - plug it in - it works!!

Cheers
Kev

-- 
=========================
Kev Downes
kdownes at tpg dot com dot au  ph 0404 7 0808 2
We use and recommend Xandros 3.0.2
=========================
There are 10 types of people ...
    ... those who understand binary, and those who don't!
=========================
"Jesus Christ is the centre of everything and the object of everything;
He who does not know him, knows nothing of the order of the world
and nothing of himself."             Blaise Pascal
=========================
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Tue, 21 Feb 2006 20:40:07 +1000 (KST)
From:  "David Shearer" <dsh43871 at bigpond dot net dot au>
Subject:  Re:  USB Flash Memory

On Tue, 21 Feb 2006 16:26:26 +0800, Kev wrote:

>G'day Alan
>
>> Alan Duval wrote:
>> 
>>> Hi,
>>>
>>> I'm thinking of buying USB Flash Memory.
>>> Questions:
>>>
>>> 1.   Are there any brands that I should avoid?
>
>I've used PQI brand thumb drives for a year or so, now with no problems 
>at all.  Recognized on Wintendo, Linux and eCS.
>
>>> 2.   Will eCS 1.2 recognize it?
>
>yes
>
>>> 3.   Is formatting required?
>
>Use FAT32 with the latest FAT32.IFS.  I'm 99.9% certain that they're 
>formatted FAT32 out of the box - I've not needed to format one of this 
>brand, and they've all worked for me.  I do, however, have the FAT32 
>driver installed as a matter of course in my machines, hence a 
>no-brainer - plug it in - it works!!
>
>Cheers
>Kev
>
>-- 
=========================
>Kev Downes
>kdownes at tpg dot com dot au  ph 0404 7 0808 2
>We use and recommend Xandros 3.0.2
=========================
>There are 10 types of people ...
>    ... those who understand binary, and those who don't!
=========================
>"Jesus Christ is the centre of everything and the object of everything;
>He who does not know him, knows nothing of the order of the world
>and nothing of himself."             Blaise Pascal
=========================

> 

 I have used the sandisk cruzer series without any problem.  They are relatively cheap 
and good value.

I have only used them as FAT16 not FAT32 - up to 256MB.  Using the latest FAT32.IFS 
drivers I cannot get them to work if formatted as FAT32 - and yes I have latest USB 
drivers under ecs 1.2.

Can anyone advise how they got fat32 to work on removable drives?  I have this 
problem also with some cheaper MP3 players which come pre formated as fat32 and 
do not work on ecs 1.2.

David

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Tue, 21 Feb 2006 23:15:31 +1100
From:  Peter Moylan <peter at ozebelg dot org>
Subject:  Re:  USB Flash Memory

Ed Durrant wrote:

> As for formatting, yes it is needed - if you want to transfer between
>  OS/2-eCS and "the darkside" FAT32 is probably the safest choice.

I used to set up my memory stick as a drive with LVM, which gave it a
consistent drive letter regardless of which computer I connected it to.
It turned out that I had to stop doing that because if you ever use an
LVM-configured memory stick with Windows (any flavour) it will mess up
the partition table. Windows just doesn't understand partitions.

One thing I did try once was to partition it into two volumes, one
formatted as FAT to copy data to Windows, and one formatted HPFS for
OS/2 use. This turned out to be even worse. Although LVM or FDISK can
see the two partitions, some other parts of the OS/2 file system can't!
So it turns out that OS/2 doesn't understand partitions on a USB device
either.

The bottom line is that you have to treat it as a large floppy, i.e. no
partition table. If you have to use it with Windows as well then indeed
FAT32 is the best choice. If however you use it only with OS/2 then HPFS
is a much more robust file system, i.e. problems can generally be
repaired with CHKDSK. I've found that problems do arise once in a long
while, for no apparent reason; possibly static electricity in my briefcase.

-- 
Peter Moylan                          peter at ozebelg dot org
                                       peter.moylan at optusnet dot com dot au
                                       http://www.pmoylan dot org
Please note the changed e-mail and web addresses.  The domain
eepjm.newcastle.edu.au no longer exists.
My e-mail addresses at newcastle.edu.au will probably remain "live"
for a while, but then they will disappear without warning.
The optusnet address still has about 5 months of life left.
----------------------------------------------------------------------------------